<?php

?>
<?php if(!Yii::$app->deviceDetect->isMobile()):?>

<div id="vi_105778"></div>

<script type="text/javascript">
var moevideo = function () {
			let flag = false;
			const scrollDelay = 200;
	        console.log("Загрузка моевидео, ожидание прокрутки "+scrollDelay+"px")
            if(window.scrollY>scrollDelay && !flag)
            {
                console.log("Подключение моёвидео, скролл достигнул "+scrollDelay+"px")
                flag = true;
				console.log( window.removeEventListener("scroll", moevideo) );
                (
                    () => {
                        const script = document.createElement("script");
						script.async = 1,
                        script.src = "https://cdn1.moe.video/player/mvplayer.min.js";
                        script.onload = () => {try {
                             addContentRoll({
                                width: '100%',
                                placement: 10167,
                                promo: true,
                                advertCount: 10,
                                slot: 'page',
                                sound: 'onclick',
                                fly:{
                                    mode: 'stick',
                                    animation: 'fly',
                                    width: 450,
                                    closeSecOffset: 3,
                                    position: 'bottom-right',
                                },
                                adEmpty: () => {
                                    var i = document.createElement("script");
                                    i.src = "https://player.codes/tag/load.js?sid=105778&tag_id=vi_105778";
                                    document.head.append(i);                     },
                            });
						}catch (e) {
							console.log('ошибка в mvplayer');
						}
                        }
                        document.body.append(script);
                    }
                )()
            }
        }
    setTimeout((function (){
//        let flag = false;
        window.addEventListener('scroll',moevideo);
    }), 3000);

</script>

<?php endif;?>
